Bug 8878 - Conflicts: progsreiserfs
: Conflicts: progsreiserfs
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/reiserfsprogs)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-19 14:55 by
Modified: 2009-05-10 09:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-19 14:55:14
Нельзя ли убрать 
Conflicts: progsreiserfs 
из спека? 
Обоснование необходимости: 
"Поднял" из orphaned progsreiserfs (собрал без "пересечения" по именам файлов), 
который (вернее, его lib-часть), в свою очередь, необходим для 
полнофункционарной работы qtparted.
------- Comment #1 From 2006-01-19 15:21:20 -------
Хм... плохо то, что эта lib часть явно кривая.. поэтому пользоваться ей
практически не рекомендуется.
Соответственно и поднимать не надо.
------- Comment #2 From 2006-01-19 17:38:13 -------
(In reply to comment #1) 
> Хм... плохо то, что эта lib часть явно кривая.. 
 
Из чего видно, что она кривая? Единственный баг, который на ней лежит в 
bugzilla.altlinux.org в версии, которую я собрал (0.3.0.4) - не подтверждается. 
Как минимум, в SUSE 10, Debian, Arklinux эта либа присутствует и работает (с 
parted и qtparted), жалоб на неё за полдня я не нагуглил. 
 
------- Comment #3 From 2006-01-19 17:41:26 -------
ну соберите отдельно только библиотеку, что бы мне утилиты эти не мешались под
руками. Положить её можно в пакет libreiserfs.

Тогда соответственно мне не надо будет никаких действий предпринимать в пакете
reiserfsprogs
------- Comment #4 From 2006-01-19 18:37:46 -------
> ну соберите отдельно только библиотеку, что бы мне утилиты эти не мешались 
под руками. 

1) Они и так не мешают: ни по путям, ни по именам фалов утилиты из  
reiserfsprogs и progsreiserfs не пересекаются. 
2) В progsreiserfs есть утилиты, функциональность которых ИМХО отсутствует в  
reiserfsprogs. 

> Положить её можно в пакет libreiserfs. 

И такой пакет есть (собирается из progsreiserfs). 

> Тогда соответственно мне не надо будет никаких действий предпринимать в 
пакете reiserfsprogs 

Я и не настаиваю особо - это не критично (с libprogsreiserfs никаких  
конфликтов нет). Просто, думаю, при случае этот Conflicts надо бы убрать - он  
ИМХО лишний. 
------- Comment #5 From 2006-01-23 17:50:08 -------
IIRC там была какая-то из человеческих ошибок (кто-то взял не тот из двух
похожих по названию пакетов, потом вылезли грабли) и конфликт был проставлен в
качестве перестраховки...

Зуб не дам, надо смотреть архивы.
------- Comment #6 From 2007-04-11 10:35:48 -------
* Thu Jun 03 2004 Anton Farygin <rider@altlinux> 3.6.17-alt2
- added conflicts with progsreiserfs
------- Comment #7 From 2007-04-11 12:48:05 -------
(In reply to comment #6) 
> * Thu Jun 03 2004 Anton Farygin <rider@altlinux> 3.6.17-alt2 
> - added conflicts with progsreiserfs 
 
Так "added" или "removed"? Я, вообще-то, просил "removed":) 
------- Comment #8 From 2007-04-11 12:52:06 -------
Именно added.

Утилитами без майнстрима (никакого, ни внятного, ни плоского) пользоваться нельзя.
------- Comment #9 From 2007-04-11 13:17:39 -------
(In reply to comment #8) 
> Именно added. 
 
Тогда почему FIXED RESOLVED а не INVALID. Если сделано прямо противоположное 
тому, что просилось в багрепорте, то либо этот багрепорт INVALID, либо... я не 
знаю что, но ИМХО точно не FIXED:) 
 
> Утилитами без майнстрима (никакого, ни внятного, ни плоского) пользоваться 
нельзя. 
 
Здесь можно смеяться?:)